Bug 233816 - virt-manager: unowned directories
virt-manager: unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-25 06:18 EDT by Michael Schwendt
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 15:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2007-03-25 06:18:35 EDT
--- virt-manager.spec.orig      2007-03-20 18:22:45.000000000 +0100
+++ virt-manager.spec   2007-03-25 12:17:10.000000000 +0200
@@ -131,9 +131,11 @@
 %{_bindir}/%{name}
 %{_sbindir}/%{name}
 %{_libexecdir}/%{name}-launch
-%{_libdir}/%{name}/*
+%{_libdir}/%{name}/
 
+%dir %{_datadir}/%{name}
 %{_datadir}/%{name}/*.glade
+%dir %{_datadir}/%{name}/pixmaps
 %{_datadir}/%{name}/pixmaps/*.png
 %{_datadir}/%{name}/pixmaps/*.svg
 
@@ -141,10 +143,12 @@
 %{_datadir}/%{name}/*.pyc
 %{_datadir}/%{name}/*.pyo
 
+%dir %{_datadir}/%{name}/virtManager
 %{_datadir}/%{name}/virtManager/*.py
 %{_datadir}/%{name}/virtManager/*.pyc
 %{_datadir}/%{name}/virtManager/*.pyo
 
+%dir %{_datadir}/%{name}/vncViewer
 %{_datadir}/%{name}/vncViewer/*.py
 %{_datadir}/%{name}/vncViewer/*.pyc
 %{_datadir}/%{name}/vncViewer/*.pyo
Comment 1 Michael Schwendt 2007-03-25 06:20:28 EDT
Alternatively, lazy packaging where /usr/share/virt-manager/ and
/usr/lib/virt-manager/ are included recursively including the
directory entries:

--- virt-manager.spec.orig      2007-03-20 18:22:45.000000000 +0100
+++ virt-manager.spec   2007-03-25 12:18:13.000000000 +0200
@@ -131,23 +131,9 @@
 %{_bindir}/%{name}
 %{_sbindir}/%{name}
 %{_libexecdir}/%{name}-launch
-%{_libdir}/%{name}/*
+%{_libdir}/%{name}/
 
-%{_datadir}/%{name}/*.glade
-%{_datadir}/%{name}/pixmaps/*.png
-%{_datadir}/%{name}/pixmaps/*.svg
-
-%{_datadir}/%{name}/*.py
-%{_datadir}/%{name}/*.pyc
-%{_datadir}/%{name}/*.pyo
-
-%{_datadir}/%{name}/virtManager/*.py
-%{_datadir}/%{name}/virtManager/*.pyc
-%{_datadir}/%{name}/virtManager/*.pyo
-
-%{_datadir}/%{name}/vncViewer/*.py
-%{_datadir}/%{name}/vncViewer/*.pyc
-%{_datadir}/%{name}/vncViewer/*.pyo
+%{_datadir}/%{name}/
 
 %{_datadir}/omf/%{name}
 %{_datadir}/gnome/help
Comment 2 Daniel Berrange 2007-03-27 15:28:14 EDT
Fixed in rawhide:

* Tue Mar 27 2007 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-2.fc7
- Ensure we own all directories we create (bz 233816)

Note You need to log in before you can comment on or make changes to this bug.